Subject: Re: git pull works remotely but not locally

From: Ivan Uemlianin <[email-masked]>
Date: Thu, 27 May 2010 16:36:18 +0100

On 27/05/2010 16:15, Ramkumar Ramachandra wrote:
> Hi,
>
>    
>>     /opt/libexec/git-core/git-pull: line 11: git-sh-setup: No such file or
>> directory
>>      
> You seem to be missing git-sh-setup (called `git-sh-setup.sh` in
> git.git), another shell script that's called by every other shell
> script in Git.
>    
... but git-sh-setup is in /opt/libexec/git-core/ ...
>> As for reinstalling: unless something else is broken, I'm happy with "git
>> fetch; git merge origin".  However, I should like to understand why git pull
>> is not working.
>>      
> A lot of other things won't work. `git rebase -i` for example is
> another shell script `git-rebase--interactive.sh`.
>    
You're right!

Is there something I need to set in my global .gitconfig?

If it's a botched install I need to know why, or it will just be botched 
the same way when I reinstall.  I only remember two things about the 
install, ...

- I did configure with prefix=/opt
- odd thing: nothing was installed into /opt: it all went into /root (I 
might have been root for the whole process, which I know is bad).  I 
just cp'd everything over to /opt, and everything worked OK (until now).

Any ideas?  I'm happy to reinstall once I know what went wrong.  The git 
I installed on my mac is really working fine.

Best wishes

Ivan

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================